前端各个框架兼容性

JS框架:angular.js, react.js , avalon.js, vue.js, backbone.js 和 Node.js

react.js        (IE9)

AngularJS   (IE9)1.0 ,(IE8)

关于ReactJs支持IE8问题

我在开始也遇到了你这个问题,因为我引入的顺序是这样的:

<script type="text/javascript" src="build/react.js"></script>
<script type="text/javascript" src="build/JSXTransformer.js"></script>
<script type="text/javascript" src="build/es5-shim.min.js"></script>
<script type="text/javascript" src="build/es5-sham.min.js"></script>

后来我把它们的顺序调整一下就可以了,你不妨也试试看:

<script type="text/javascript" src="build/es5-shim.min.js"></script>
<script type="text/javascript" src="build/es5-sham.min.js"></script>
<script type="text/javascript" src="build/react.js"></script>
<script type="text/javascript" src="build/JSXTransformer.js"></script>

Avalon.js     (IE6)

vue.js           (IE9)

backbone 需要另写js操作dom,开发较麻烦,但兼容性好(其他MVVM框架, KnockoutJS(IE6), EmberJS(IE8), WinJS(IE9))

 收藏 (0) 打赏

您可以选择一种方式赞助本站

支付宝扫一扫赞助

微信钱包扫描赞助

未经允许不得转载:共享博客 » 前端各个框架兼容性

分享到: 更多 (0)
avatar

评论 抢沙发

  • QQ号
  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
切换注册

登录

忘记密码 ?

切换登录

注册

我们将发送一封验证邮件至你的邮箱, 请正确填写以完成账号注册和激活